<!DOCTYPE html>
{% load i18n static inkscape extras %}
<html>
  <head>
    <title>{% block title %}{{ title|default:"Talk Freely" }}{% endblock %} - {% trans "Inkscape Forum" %}</title>
    <meta charset="utf-8"/>

    <link rel="shortcut icon" href="{% static "forums/images/logo.svg" %}"/>

    {% if rss %}
      <link rel="alternate" type="application/rss+xml" title="{% trans "RSS Feed" %}" href="{{ rss }}" />
    {% endif %}
    {% block "css" %}
    <link href="{% static "forums/css/bootstrap.min.css" %}" rel="stylesheet" id="bootstrap-css">
    <link href="{% static "forums/css/iw.css" %}" rel="stylesheet" id="iw-icons-css">
    <link href="{% static "forums/css/forum.css" %}" rel="stylesheet" id="forum-css">
    <link href="{% static "forums/css/comments.css" %}" rel="stylesheet" id="comment-css">
    {% endblock %}

    {% block "jsvendors" %}
    <script type="text/javascript" src="{% static "admin/js/vendor/jquery/jquery.min.js" %}"></script>
    <script type="text/javascript" src="{% static "forums/js/bootstrap.min.js" %}"></script>
    {% endblock %}
    
    {% block "js" %}
    <script type="text/javascript" src="{% static "js/js.cookie.js" %}"></script>
    <script type="text/javascript" src="{% static "js/inkscape.js" %}"></script>
    <script type="text/javascript" src="{% static "forums/js/forums.js" %}"></script>
    {% endblock %}

    {% block "media" %}
    {{ form.media }}
    {% endblock %}
  </head>
  <body data-static="{% static '' %}" id="forum-page-{% url_name %}"{% if request.user.is_authenticated %} data-user="{{ request.user.username }}" data-userid="{{ request.user.id }}"{% endif %}>
    {% block "container" %}
    {% block "wrapper" %}
    <div class="container-flex forums-app">
    {% endblock "wrapper" %}
        <a href="/" class="back-to-site" title="{% trans "Back to Inkscape website" %}">Inkscape.org</a>
        {% block "header" %}
        <header class="forums-header">
          <div class="forums-branding"><a class="forums-logo" href="/forums/"><img src="{% static "forums/images/logo.svg" %}"> <span class="forums-name">Inkscape Forum</span> <span class="forums-tagline">Talk Freely</span></a></div>
          {% block "search-block" %}
          <form action="{% url "forums:search" %}" class="pull-right forums-search">
            <div class="input-append">
              {% block "search" %}{% endblock %}
              <input type="text" class="sr-input" name="q" value="{{ request.GET.q }}" placeholder="{% trans "Search" %}">
              <button class="btn sr-btn" type="submit"><i class="glyphicon glyphicon-search"></i></button>
            </div>
          </form>
          {% endblock "search-block" %}
          

          {% block "user-menu" %}
          <ul class="user-menu dropdown">
            <li class="help-drop">
              <a class="dropdown-toggle" href="#" role="button" 
               aria-expanded="false" data-toggle="dropdown" aria-haspopup="true"><span class="glyphicon glyphicon-leaf"></span> {% trans "Learn" %} <span class="caret"></span></a>
              <ul class="dropdown-menu" aria-labelledby="dropdownMenuDivider">
                  <li class="dropdown-item">
                    <a>
                      <span class="glyphicon glyphicon-arrow-right"></span> {% trans "Beginners Start Here:" %}<br/>
                      <span style="padding-left: 30px;">{% trans "Start Inkscape application" %}</span><br/>
                      <span style="padding-left: 30px;">{% trans "Help menu > Tutorials > Basic" %}</span><br/>
                      <span style="padding-left: 30px;">{% trans "Help menu > Tutorials > Shapes" %}</span><br/>
                      <span style="padding-left: 30px;">{% trans "Help menu > Tutorials > Advanced" %}</span><br/>
                    </a>
                  </li>
                <li role="separator" class="divider"></li>
                <li class="dropdown-item"><a href="https://inkscape.org/learn/faq/"><span class="glyphicon glyphicon-info-sign"></span> {% trans "Inkscape FAQ" %}</a></li>
                <li class="dropdown-item"><a href="http://tavmjong.free.fr/INKSCAPE/MANUAL/html/index.php"><span class="glyphicon glyphicon-book"></span> {% trans "Inkscape Manual" %}</a></li>
                <li role="separator" class="divider"></li>
                <li class="dropdown-item"><a href="http://alpha.inkscape.org/vectors/www.inkscapeforum.com/"><span class="glyphicon glyphicon-hdd"></span> {% trans "Old InkscapeForum Archive" %}</a></li>
                <li class="dropdown-item"><a href="https://forum.inkscapecommunity.com/index.php" title="{% trans "at the Inkscape Community forum" %}"><span class="glyphicon glyphicon-list-alt"></span> {% trans "Inkscape Resources list" %}</a></li>
              </ul>
            </li>
            {% if not request.user.is_authenticated %}
            <li class="user-register"><a href="{% url "auth_register" %}?next={{ request.path }}"><span class="glyphicon glyphicon-record"></span> {% trans "Register" %}</a></li>
            <li class="user-login"><a href="{% url "auth_login" %}?next={{ request.path }}"><span class="glyphicon glyphicon-log-in"></span> {% trans "Log in" %}</a></li>
            {% else %}
            <li class="user-account">
              <a class="dropdown-toggle" href="#" role="button" 
               aria-expanded="false" data-toggle="dropdown" aria-haspopup="true"><span class="glyphicon glyphicon-user"></span> {% trans "My account" %} <span class="caret"></span></a>
              <ul class="dropdown-menu" aria-labelledby="dropdownMenuDivider">
                <li class="dropdown-item {% url_name "topic_subs" %}"><a href="{% url "forums:topic_subs" %}"><span class="glyphicon glyphicon-heart"></span> {% trans "My Subscriptions" %}</a></li>
                <li class="dropdown-item {% url_name "topic_list" %}"><a href="{% url "topic_list" request.user.username %}"><span class="iw-comment"></span> {% trans "My Topics" %}</a></li>
                <li class="dropdown-item {% url_name "comment_list" %}"><a href="{% url "comment_list" request.user.username %}"><span class="iw-chat"></span> {% trans "My Comments" %}</a></li>
                <li role="separator" class="divider"></li>
                <li class="dropdown-item"><a href="{{ request.user.get_absolute_url }}" title="{% trans "My profile on Inkscape.org website" %}"><span class="glyphicon glyphicon-user"></span> {% trans "My profile" %}</a></li>
              </ul>
            </li>
            <li class="user-logout"><a href="{% url "auth_logout" %}"><span class="glyphicon glyphicon-log-out"></span> {% trans "Log out" %}</a></li>
            {% if request.user.is_staff and perms.forums.change_forumtopic %}
              <li class="forum-admin" title="{% trans "Forum Administration" %}"><a href="{% url "admin:app_list" "forums" %}"><span class="glyphicon glyphicon-cog"></span></a></li>
            {% endif %}
            {% if rss %}
              <li class="thread-rss"><a href="{{ rss }}"><span class="iw-rss"></span></a></li>
            {% endif %}
          {% endif %}
          </ul>
          {% endblock "user-menu" %}
          
          {% block "forumheader" %}{% endblock %}

        </header>
        {% endblock "header" %}
        <div class="forum-data">
            <div class="forum-content">
              {% block "slickslider" %}
              {% endblock %}
              {% block "supercontent" %}
              <div class="forum-head">
                {% block "page-header" %}
                <div class="forum-option">
                  {% block "tools" %}
                    {% if is_paginated %}{% include "forums/pagination.html" %}{% endif %}
                  {% endblock %}
                </div>
                {% endblock %}
              </div>
              <div class="forum-body">
                {% block "content" %}
                {% endblock %}
              </div>
              <div class="forum-foot-option">
                {% if is_paginated %}{% include "forums/pagination.html" %}{% endif %}
              </div>
              {% endblock %}
            </div>
            {# end .forum-content #}
            
            {% block "aside" %}
            <aside class="sm-side forum-sidebar">
              <ul class="nav nav-pills nav-stacked labels-info forum-list">
                <li class="forum-item new {% url_name "unread" %}">
                  <a href="{% url "forums:unread" %}"><span class="glyphicon glyphicon-bullhorn"></span> {% trans "Unread Posts" %}</a>
                </li>
              </ul>
              
              {% for group, items in forums.groups.items %}
              <ul class="nav nav-pills nav-stacked labels-info forum-list">
                <li>
                  <h4>{{ group }}</h4>
                </li>
                {% for item in items %}
                <li class="forum-item new{% if item == forum %} active{% endif %}" data-changed="{{ item.last_posted.isoformat }}" data-count="{{ item.post_count }}" data-pk="forum-{{ item.pk }}" data-model="forum">
                  <a href="{{ item.get_absolute_url }}"><img src="{{ item.icon.url }}"> {{ item }} <span class="label label-default pull-right counter">{{ item.topic_count }}</span></a>
                </li>
                {% endfor %}
              </ul>
              {% endfor %}

              {% if visitors %}
              <ul class="nav nav-pills nav-stacked labels-info" id="users-online">
                <li>
                  <h4>Online</h4>
                </li>
                <li>
                {% for pk, visitor in visitors.items reversed %}
                  {% if pk == request.user.pk %}
                  <a  class="me" href="{% url 'view_profile' visitor.username %}">
                    <img src="{{ visitor.photo_url }}"/>
                    <span>{{ visitor.first_name|default:visitor.username }} {{ visitor.last_name }}</span>
                  </a>
                  <li>
                  {% elif visitor.username and forloop.counter < 21 %}
                  <a href="{% url 'view_profile' visitor.username %}" title="{{ visitor.first_name|default:visitor.username }} {{ visitor.last_name }} - {{ visitor.last_seen|ago }}" data-user="{{ visitor.username }}" data-userid="{{ visitor.id }}">
                    <img src="{{ visitor.photo_url }}"/>
                  </a>
                  {% endif %}
                {% endfor %}
                </li>
                {% if lurkers > 0 %}
                <li>
                <a class="lurkers">
                    <img src="{% static "images/lurker.svg" %}"/>
                    <span>{{ lurkers }} {% trans "Anonymous Visitors" %}</span>
                </a>
                </li>
                {% endif %}
              </ul>
              {% endif %}
              <ul class="nav nav-pills nav-stacked labels-info">
                {% if request.user.is_moderator %}
                  <li class="{% url_name equal="log" %}"><a href="{% url "forums:log" %}"><span class="glyphicon glyphicon-briefcase"></span> {% trans "Moderation Log" %}</a></li>
                  <li class="{% url_name equal="stats" %}"><a href="{% url "forums:stats" %}"><span class="glyphicon glyphicon-signal"></span> {% trans "Forum Statistics" %}</a></li>
                  {% with purgitory.count as pcount %}
                  <li class="{% url_name equal="check" %}"><a href="{% url "forums:check" %}"><span class="iw-fire"></span> {% trans "Moderation Queue" %} <span class="label label-{% if pcount %}danger{% else %}default{% endif %} pull-right counter label-muted">{{ pcount }}</span></a></li>
                  <li class="{% url_name equal="flag_list" %}{% url_name equal="ban_list" %}{% url_name equal="mod_list" %}"><a href="{% url "forums:flag_list" %}"><span class="iw-users"></span> {% trans "User Flags" %}</a></li>
                  {% endwith %}
                {% endif %}
              </ul>
              
            </aside>
            {% endblock %}
        </div>
        <div class="forum-footer text-muted">
            <p>Forums developed by Martin, Jabier, Mihaela. <a href="{% url "contact" %}?next={{ request.path }}">Contact Us</a> if you have a problem using the forum. <span class="render-time" title="{{ RENDER_TIME.isoformat }}"><span class="glyphicon glyphicon-time"></span> <i></i></p>
        </div>
    </div>{# end .container #}
    {% endblock %}
  </body>
</html>
